Bug 995051 - Decision Table Wizard: mandatory fields labels unreadable
Decision Table Wizard: mandatory fields labels unreadable
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ER4
: 6.0.0
Assigned To: manstis
Radovan Synek
Depends On:
  Show dependency treegraph
Reported: 2013-08-08 09:13 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:16:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bad colour scheme (35.99 KB, image/png)
2013-08-08 09:13 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-08 09:13:03 EDT
Created attachment 784347 [details]
bad colour scheme

Description of problem:
When configuring a Decision Table through the Wizard, there are a few fields that are mandatory for certain columns, they are marked by a red asterisk. When these fields are not filled in properly, the label font colour is dark brown/grey and the background colour dark red. This combination makes the labels quite unreadable.
The brighter red asterisk on a darker red background also isn't a good choice.

Version-Release number of selected component (if applicable):
kie-wb 6.0 CR1
Comment 2 manstis 2013-09-06 17:34:08 EDT
Improved the contrast. If you have any better recommendations please suggest.
Comment 3 Zuzana Krejčová 2013-09-09 05:08:16 EDT
(In reply to manstis from comment #2)
> Improved the contrast. If you have any better recommendations please suggest.

This should definitely help. 
Though I do wonder, whether it would be possible and perhaps better to use the same background colour for all the warnings and invalid things. Or perhaps redesign the mandatory and valid/invalid fields' look and behaviour.
Right now though, getting it readable is enough, thanks.
Comment 4 manstis 2013-09-09 05:21:34 EDT
I agree. The problem we have is some (older) editors/widgets use vanilla GWT whereas newer ones use GWT-Bootstrap. The older ones should ideally all be refactored to use GWT-Bootstrap but this is a non-trivial task; and not something we'd have time for 6.0. 

Could you raise new BZs for where you see "old style" validation (an example of "new" would be the "New Repository" popup on the Administration perspective) and we can refactor in subsequent releases.
Comment 8 Radovan Synek 2013-10-18 03:46:21 EDT
Verified on BPMS-6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.